darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.Patch.Index.Monad

Synopsis

- withPatchMods :: FileModMonad a -> Set AnchoredPath -> (Set AnchoredPath, [PatchMod AnchoredPath])
- applyToFileMods :: (Apply p, ApplyState p ~ Tree) => p wX wY -> Set AnchoredPath -> (Set AnchoredPath, [PatchMod AnchoredPath])
- makePatchID :: PatchInfo -> PatchId

# Documentation

withPatchMods :: FileModMonad a -> Set AnchoredPath -> (Set AnchoredPath, [PatchMod AnchoredPath]) #

applyToFileMods :: (Apply p, ApplyState p ~ Tree) => p wX wY -> Set AnchoredPath -> (Set AnchoredPath, [PatchMod AnchoredPath]) #

Apply a patch to set of `AnchoredPath`s, yielding the new set of `AnchoredPath`s and `PatchMod`s

makePatchID :: PatchInfo -> PatchId #